### Property

# Gtk Window:application

#### Declaration

    property application: Gtk.Application [ read, write ]

#### Description [src]

The `GtkApplication` associated with the window.

The application will be kept alive for at least as long as it has any windows associated with it (see `g_application_hold()` for a way to keep it alive without windows).

Normally, the connection between the application and the window will remain until the window is destroyed, but you can explicitly remove it by setting the :application property to `NULL`.

Type: | `GtkApplication`

Getter method | `gtk_window_get_application()`
Setter method | `gtk_window_set_application()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no